package com.oracle.ucm.utils.response;

import com.oracle.ucm.generic.Field;

import java.util.List;

import oracle.stellent.ridc.model.DataBinder;
import com.oracle.ucm.utils.data.resultsContainer;

public class searchResponse extends ucmResponse 
{
    private resultsContainer m_srchrslt;
    public searchResponse(DataBinder dataBinder) 
    {
        super(dataBinder);
    }

    public searchResponse(List<Field> list) 
    {
        super(list);
    }

    public searchResponse() 
    {
        super();
    }
    
    public void setResults(resultsContainer rc) {
        m_srchrslt = rc;
    }
    
    public resultsContainer getResults() {
        return m_srchrslt;
    }
}
